<?php
ob_start();
session_start();

require '../../../conexion.php';
require_once('../../../include/sesiones.php');
require "../../php_qr/qrlib.php";    
require_once dirname(__FILE__).'../../vendor/autoload.php';

use Spipu\Html2Pdf\Html2Pdf;
use Spipu\Html2Pdf\Exception\Html2PdfException;
use Spipu\Html2Pdf\Exception\ExceptionFormatter;
    
$fecha_desde=$_GET['fecha_desde'];
$hora_desde=$_GET['hora_desde'];
$fecha_hasta=$_GET['fecha_hasta'];
$hora_hasta=$_GET['hora_hasta'];
$cliente=$_GET['cliente'];
$sucursal_form=$_GET['sucursal_form'];  

$total=0;
$where="ven_fecha BETWEEN '$fecha_desde' AND '$fecha_hasta' 
          AND sucursal = '$sucursal_form' 
          AND empresa = '$empresa' 
          AND ven_estado <> 'anulada'";

// Agregar condición por cliente si aplica
if ($cliente != 0) {
    $where .= " AND Cliente_clie_id = '$cliente'";
}

if ($facturador=='si') {
    $ven_tipo=implode("','", $_GET["ven_tipo3"]);
    $where.=" AND ven_tipo IN ('$ven_tipo')";
}

$query1 = mysqli_query($con, "SELECT * FROM ventas WHERE $where ORDER BY ven_n_venta DESC") 
    or die(mysqli_error($con));

while ($roww1 = mysqli_fetch_array($query1)) {
    $ven_id = $roww1["ven_id"];
    include(dirname(__FILE__) . '/facturas/factura_venta.php');
}


$content = ob_get_clean();

try {
    $html2pdf = new Html2Pdf('P', 'A4', 'fr', true, 'UTF-8', 0);
    $html2pdf->pdf->SetDisplayMode('fullpage');
    $html2pdf->writeHTML($content);
    $html2pdf->Output('Lote_facturas.pdf', 'I');
} catch (Html2PdfException $e) {
    $html2pdf->clean();

    $formatter = new ExceptionFormatter($e);
    echo $formatter->getHtmlMessage();
}
?>